@import url("https://fonts.googleapis.com/css2?family=Rubik&display=swap");

:root {
  font-size: 16px;
  font-family: "Rubik";
  --text-primary: #b6b6b6;
  --text-secondary: #ececec;
  --bg-primary: #101c23;
  --bg-secondary: #080e12;
  --bg-bg: #162731;
  --bg-icon-primary: #ff7eee;
  --bg-icon-secondary: #df49a6;
  --transition-speed: 600ms;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: #000000;
  color: black;
  background-color: var(--bg-bg);
}

body::-webkit-scrollbar {
  width: 0.25rem;
}

body::-webkit-scrollbar-track {
  background: #1e1e24;
}

body::-webkit-scrollbar-thumb {
  background: var(--bg-icon-secondary);
}

.vdropcalc {
  overflow-x: hidden;
}

.calctitle {
  display: block;
  font-weight: 700;
  text-decoration: none;
  color: #fff;
  text-align: center;
  font-family: Rubik;
  overflow-x: hidden;
}

.calcElement {
  background-color: #69415a;
  align-content: center;
}

.calcElement label {
  text-decoration: none;
  color: #fff;
  font-size: 2em;
  text-align: center;
  display: block;
  font-family: Rubik;
}

.calcElement .ninput {
  align-content: center;
  display: inline-block;
  font-size: 1em;
  font-family: Rubik;
  font-weight: 700;
  color: #444;
  line-height: 1.3;
  padding: 0.6em 1.4em 0.5em 0.8em;
  width: 98%;
  max-width: 100%;
  box-sizing: border-box;
  border: 1px solid #aaa;
  box-shadow: 0 1px 0 1px rgba(0, 0, 0, 0.04);
  border-radius: 0.5em;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: linear-gradient(to bottom, #ffffff 0%, #e5e5e5 100%);
  background-repeat: no-repeat, repeat;
  background-position: right 0.7em top 50%, 0 0;
  background-size: 0.65em auto, 100%;
  text-align: right;
}

.calcElement .ninput:focus {
  border-color: #aaa;
  box-shadow: 0 0 1px 3px rgba(59, 153, 252, 0.7);
  box-shadow: 0 0 0 3px -moz-mac-focusring;
  color: #222;
  outline: none;
}

.inputunit {
  display: inline-block;
  color: rgb(24, 0, 0);
  font-size: 1em;
  font-family: Rubik;
  font-weight: 700;
  color: #444;
  line-height: 1.3;
}

option {
  direction: rtl;
}

.calcElement select {
  text-indent: 5px;
  text-align-last: right;
  text-align: right;
  align-content: center;
  display: block;
  font-size: 1em;
  font-family: Rubik;
  font-weight: 700;
  color: #444;
  line-height: 1.3;
  padding: 0.6em 1.4em 0.5em 0.8em;
  width: 98%;
  max-width: 100%;
  box-sizing: border-box;
  border: 1px solid #aaa;
  box-shadow: 0 1px 0 1px rgba(0, 0, 0, 0.04);
  border-radius: 0.5em;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  background-image: url("data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E");
  background-repeat: no-repeat, repeat;
  background-position: right 0.7em top 50%, 0 0;
  background-size: 0.65em auto, 100%;
}

.calcElement select::-ms-expand {
  display: none;
}

.calcElement select:hover {
  border-color: #888;
}

.calcElement select:focus {
  border-color: #aaa;
  box-shadow: 0 0 1px 3px rgba(59, 153, 252, 0.7);
  box-shadow: 0 0 0 3px -moz-mac-focusring;
  color: #222;
  outline: none;
}

.calcElement select option {
  font-weight: normal;
}

.calcElement .formula-result {
  font-weight: 700;
  text-decoration: none;
  color: rgb(250, 156, 15);
  font-size: 3em;
  text-align: center;
  display: block;
  font-family: Rubik;
}

.calcslider {
  color: black;
}

.sliderval {
  text-decoration: none;
  color: #fff;
  font-size: 1.5em;
  text-align: right;
  font-family: Rubik;
}

.vfooter {
  text-align: right;
  height: 22px;
  width: 100vw;
}

#version {
  color: rgba(255, 255, 255, 0.5);
  font-size: 16px;
}

#author {

  color: rgba(255, 255, 255, 0.5);
}

.row {
  display: flex;
}

.column {
  flex: 33.33%;
  padding: 5px;
}

.result {
  font-weight: 500;
  text-decoration: none;
  color: rgb(250, 156, 15);
  font-size: 1em;
  text-align: center;
  font-family: Rubik;
}

.resultTitle {
  font-weight: 500;
  text-decoration: none;
  color: rgb(255, 255, 255);
  font-size: 1em;
  text-align: center;
  font-family: Rubik;
}


/* Small screens */
@media only screen and (max-width: 649px) {
  .vdropcalc {
    min-height: 100vh;
    background-color: #69415a;
  }

  .calcElement {
    max-width: 100vw;
    padding-left: 3%;
    padding-right: 3%;
  }

  .calctitle {
    font-size: 3em;
  }

  .calcElement .ninput {
    padding-right: 50px;
  }

  .inputunit {
    margin-left: -50px;
  }

  .calcslider {
    width: 80%;
  }

  .vfooter {
    bottom: 0;
    position: block;
  }
}

/* Large screens */
@media only screen and (min-width: 650px) {
  .vdropcalc {
    display: felx;
    
    justify-content: center;
    align-items: center;

    min-height: 100vh;
    background-color: #553448;
  }

  .calcElement {
    margin: 0 auto;
    max-width: 650px;
    padding-left: 0.5%;
    padding-right: 0.5%;
  }

  .calctitle {
    font-size: 4em;
  }

  .calcElement .ninput {
    padding-right: 55px;
  }

  .inputunit {
    margin-left: -50px;
  }

  .calcslider {
    width: 87.5%;
  }

  .vfooter {
    bottom: 0;
    position: block;
  }
}